🚧 The Rhombus Developer Documentation is currently in beta. For the official documentation, please visit docs.rhombus.com.
curl -X POST https://api2.rhombussystems.com/api/event/getClipWithProgress \
-H "Content-Type: application/json" \
-H "x-auth-scheme: api-token" \
-H "x-auth-apikey: YOUR_API_KEY" \
-d '{"cameraUuid": "YOUR_CAMERA_UUID", "startTime": 1700000000000, "endTime": 1700003600000}'{
"clip": {
"accessSettings": {
"allowedRoles": [
"AAAAAAAAAAAAAAAAAAAAAA"
],
"allowedUsers": [
"AAAAAAAAAAAAAAAAAAAAAA"
],
"visibility": "PRIVATE"
},
"alterMap": {},
"analyzed": true,
"byteCount": 123,
"clipLocation": {
"region": "<string>"
},
"clipLocationV2": "<string>",
"consoleDelete": true,
"createdAtMs": 123,
"currentOperation": "Processing video",
"description": "<string>",
"devicePresentationOrder": [
"AAAAAAAAAAAAAAAAAAAAAA.v0"
],
"deviceUuid": "AAAAAAAAAAAAAAAAAAAAAA.v0",
"deviceUuidMap": {},
"deviceUuids": [
"AAAAAAAAAAAAAAAAAAAAAA.v0"
],
"durationSec": 123,
"externalTransactionId": "<string>",
"fisheyeHardware": "RASPBERRY_PI_3",
"fisheyeMap": {},
"integrationUploadList": [
"AVIGILON_ALTA"
],
"isMonitoringClip": true,
"isVendorClip": true,
"lastUpdatedSec": 1640995200,
"mountingDirection": "DOWN",
"orgUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"percentComplete": 75,
"sendToSharedStorage": true,
"sha256Hex": "<string>",
"sourceAlertUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"status": "INITIATING",
"thumbnailLocation": {
"region": "<string>"
},
"thumbnailLocationV2": "<string>",
"timestampMs": 123,
"title": "<string>",
"userUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"uuid": "AAAAAAAAAAAAAAAAAAAAAA",
"videoResolution": {
"height": 123,
"width": 123
}
},
"error": true,
"errorMsg": "<string>",
"warningMsg": "<string>"
}Get a specified saved clip with current progress
curl -X POST https://api2.rhombussystems.com/api/event/getClipWithProgress \
-H "Content-Type: application/json" \
-H "x-auth-scheme: api-token" \
-H "x-auth-apikey: YOUR_API_KEY" \
-d '{"cameraUuid": "YOUR_CAMERA_UUID", "startTime": 1700000000000, "endTime": 1700003600000}'{
"clip": {
"accessSettings": {
"allowedRoles": [
"AAAAAAAAAAAAAAAAAAAAAA"
],
"allowedUsers": [
"AAAAAAAAAAAAAAAAAAAAAA"
],
"visibility": "PRIVATE"
},
"alterMap": {},
"analyzed": true,
"byteCount": 123,
"clipLocation": {
"region": "<string>"
},
"clipLocationV2": "<string>",
"consoleDelete": true,
"createdAtMs": 123,
"currentOperation": "Processing video",
"description": "<string>",
"devicePresentationOrder": [
"AAAAAAAAAAAAAAAAAAAAAA.v0"
],
"deviceUuid": "AAAAAAAAAAAAAAAAAAAAAA.v0",
"deviceUuidMap": {},
"deviceUuids": [
"AAAAAAAAAAAAAAAAAAAAAA.v0"
],
"durationSec": 123,
"externalTransactionId": "<string>",
"fisheyeHardware": "RASPBERRY_PI_3",
"fisheyeMap": {},
"integrationUploadList": [
"AVIGILON_ALTA"
],
"isMonitoringClip": true,
"isVendorClip": true,
"lastUpdatedSec": 1640995200,
"mountingDirection": "DOWN",
"orgUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"percentComplete": 75,
"sendToSharedStorage": true,
"sha256Hex": "<string>",
"sourceAlertUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"status": "INITIATING",
"thumbnailLocation": {
"region": "<string>"
},
"thumbnailLocationV2": "<string>",
"timestampMs": 123,
"title": "<string>",
"userUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"uuid": "AAAAAAAAAAAAAAAAAAAAAA",
"videoResolution": {
"height": 123,
"width": 123
}
},
"error": true,
"errorMsg": "<string>",
"warningMsg": "<string>"
}Your API key for Rhombus.
Authentication scheme indicator ("api-token").
9Request object for retrieving a specific clip with progress information.
base 64 (url-safe) uuid string
"AAAAAAAAAAAAAAAAAAAAAA"
Was this page helpful?